Subject: Re: bug#74091: 31.0.50; string-pixel-width in mode line disables region

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Nov 2024 07:50:47 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 09 Nov 2024 17:11:19 -0500
> 
> > I think we should instead ignore the permanent-local property of
> > variables.  How about the patch below?
> 
> Funny: I went through 3 different versions of a patch and ended up with
> basically the same patch as yours.

;-)

> > @@ -1170,7 +1171,7 @@ reset_buffer_local_variables (struct buffer *b, bool permanent_too)
> >  	      swap_in_global_binding (XSYMBOL (sym));
> >  	    }
> >  
> > -          if (!NILP (prop))
> > +          if (!NILP (prop) && permanent_too)
> >              {
> >                /* If permanent-local, keep it.  */
> >                last = tmp;
> 
> This should be an || rather than an &&, no?

No, I don't think so.  If the permanent-local property is nil, we
should not take this branch, even if permanent_too is non-zero.  Or
what am I missing?